Library StdClientApp01;
uses
  Windows,
  SysUtils,
  Classes,
  Forms,
  UAdv_ISAPI2,
  UAdv_Public_Types,
  UAdv_ISAPI_Utils,
  UFrMain in 'UFrMain.pas' {FrMain: TFrame};

//ISAPI Main procedures !!
procedure WebAppInitProc(WebSession:TAdv_WebSession;InInitParams:AnsiString;DynamicOwner:TComponent);
begin
  FrMain.MainPage.InitUISession(WebSession);

end;

procedure WebAppMainProc(WebSession:TAdv_WebSession;Request:TPub_Request;Response:TPub_Response);
begin
  if(Request.EventName = '')then
    Response.Write(FrMain.MainPage.CtrlToHtml())
end;

function HttpExtensionProc(var ECB:TEXTENSION_CONTROL_BLOCK):DWORD; stdcall;
begin
  result := DoHttpExtensionProc( Application
                                ,'EMPTY-PARAMS'
                                ,WebAppMainProc
                                ,WebAppInitProc,nil,nil,nil,ECB);
end;

Exports
  HttpExtensionProc;

//==== DLL Main Procedure ====
procedure DllMain(reason:integer);
begin
  case reason of
    DLL_PROCESS_ATTACH://Create
    begin
      //DLL loading...
      if(FrMain = nil)then FrMain := TFrMain.Create(nil);
      //...............................................................
      DoInitial_OffLineWebApp([FrMain.MainPage,FrMain.Page01]);
      //...............................................................

      //...............................................................

    end;
    DLL_PROCESS_DETACH://Destroy
    begin
      //DLL unloading...
      if(FrMain <> nil)then FrMain.Free; FrMain := nil;

    end;
  end;
end;//DllMain
begin
  //---------------------------------------------------------------------------------
  DllProc := @DllMain;
  DllMain(DLL_PROCESS_ATTACH);
  //---------------------------------------------------------------------------------
end.
 